# 关于 LocalSearch
LocalSearch 是一个基于开源项目 SearXNG 并针对中文用户优化的元搜索引擎。它不仅继承了 SearXNG 所有的优点，如保护用户隐私、不存储搜索数据等，还特别针对中文用户的需求进行了定制和优化。

## LocalSearch 简介

LocalSearch 是一个专为中文用户设计的元搜索引擎，它继承了 SearXNG 的所有优点，并且在以下方面进行了优化和改进：

### 特点和优势

- **隐私保护**：LocalSearch 致力于保护用户的搜索隐私，不存储任何搜索数据，不生成用户画像，也不与第三方共享信息。
- **代码同步**：定期从 SearXNG 项目同步代码，确保所有已知的 bug 被修复，安全漏洞得到修补，保持软件的最新状态。
- **自由软件**：LocalSearch 的代码是完全开放的，任何人都可以自由地使用、学习和贡献代码。

### 使用 LocalSearch

如果你重视隐私保护，希望使用一个不会追踪你搜索历史的搜索引擎，LocalSearch 是一个理想的选择。你可以将其设置为默认搜索引擎，或在自己的服务器上部署运行。

### 如何设置为默认搜索引擎？

LocalSearch 支持 OpenSearch 标准，可以轻松添加到你的浏览器的搜索栏。不同浏览器的设置方法可以参照以下指南：

- [Firefox 中文指南](https://support.mozilla.org/en-US/kb/add-or-remove-search-engine-firefox)
- [Microsoft Edge 中文指南](https://support.microsoft.com/zh-cn/help/4028574/microsoft-edge-如何更改默认搜索引擎)

### 工作原理

LocalSearch 作为一个元搜索引擎，通过聚合多个搜索引擎的结果提供服务，同时注重用户隐私保护。它可以被添加到浏览器的搜索栏，并设置为默认搜索引擎。

### 自定义和贡献

如果你对 LocalSearch 感兴趣，想要自定义或者贡献代码，可以直接从 [LocalSearch 源代码](https://github.com/anunol/localsearch) 获取代码并运行。

通过不断同步 SearXNG 的更新，LocalSearch 确保用户能够获得一个安全、可靠且不断进步的搜索工具。
